## omnievents 2.6.1

=== examples/Makefile ===
#                            Package   : omniEvents
# examples/Makefile          Created   : 2003/10/31
#                            Author    : Alex Tingle
#
#    Copyright (C) 2003 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SOURCE_FILES = \
 pullcons.cc \
 pullsupp.cc \
 pushcons.cc \
 pushsupp.cc\

include ../config.mk

EXE_FILES = $(patsubst %.cc,%$(EXEEXT),$(SOURCE_FILES))
ARCHIVES  = ../src/naming.$(OBJEXT) ../src/getopt.$(OBJEXT) ../idl/$(CLIENT_LIB)

all: $(EXE_FILES)

%$(EXEEXT): %.$(OBJEXT)
	$(call CxxBuildExecutable,$@,$^ $(ARCHIVES))

clean:
	$(RM) $(EXE_FILES) *.$(OBJEXT)

include deps.mk

.PHONY: all clean

=== src/Makefile ===
#                            Package   : omniEvents
# src/Makefile               Created   : 2003/10/31
#                            Author    : Alex Tingle
#
#    Copyright (C) 2003 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

LIBRARY_SOURCE_FILES = \
 ConsumerAdmin.cc \
 EventChannel.cc \
 EventChannelFactory.cc \
 EventQueue.cc \
 Filter.cc \
 Orb.cc \
 PersistNode.cc \
 ProxyManager.cc \
 ProxyPullConsumer.cc \
 ProxyPullSupplier.cc \
 ProxyPushConsumer.cc \
 ProxyPushSupplier.cc \
 Servant.cc \
 SupplierAdmin.cc \
 omniEventsLog.cc \

DAEMON_SOURCE_FILES := \
 $(LIBRARY_SOURCE_FILES) \
 getopt.cc \
 main.cc \
 naming.cc \
 omniEvents.cc \

LIBRARY_HEADER_FILES := $(patsubst %.cc,%.h,$(LIBRARY_SOURCE_FILES)) \
 Callback.h \
 Mapper.h \
 config.h \
 defaults.h \
 scour.h \

include ../config.mk

ifneq "$(strip $(HAVE_GETHOSTNAME))" "yes"
  LIBRARY_HEADER_FILES += gethostname.h
endif

INSTALLED_HEADER_FILES := \
 $(patsubst %,$(INSTALL_INCLUDE)/$(OMNIEVENTS)/%,$(LIBRARY_HEADER_FILES))

ifneq ($(BUILD_FOR_WINDOWS),)
  DAEMON_SOURCE_FILES += daemon_windows.cc
else
  DAEMON_SOURCE_FILES += daemon_unix.cc
endif

DAEMON_EXE     := $(OMNIEVENTS)$(EXEEXT)
LIBRARY        := $(call SharedLibName,$(OMNIEVENTS))
LIBRARY_SONAME := $(call SharedLibSoName,$(OMNIEVENTS),$(PACKAGE_VERSION))

ARCHIVES   = ../idl/$(CLIENT_LIB) \

all: exe lib

install: all install_dirs $(INSTALLED_HEADER_FILES)
	$(INSTALL) $(DAEMON_EXE) $(INSTALL_SBIN)
	$(call InstallSharedLib,$(OMNIEVENTS),$(PACKAGE_VERSION),$(INSTALL_LIB))

$(INSTALLED_HEADER_FILES): $(INSTALL_INCLUDE)/$(OMNIEVENTS)/%: % install_dirs
	$(INSTALL) -m 644 $< $(INSTALL_INCLUDE)/$(OMNIEVENTS)

install_dirs:
	$(INSTALL) -d $(INSTALL_SBIN)
	$(INSTALL) -d $(INSTALL_LIB)
	$(INSTALL) -d $(INSTALL_INCLUDE)/$(OMNIEVENTS)

uninstall:
	$(RMDIR) $(INSTALL_INCLUDE)/$(OMNIEVENTS)
	$(RM) $(INSTALL_SBIN)/$(DAEMON_EXE)
	# Don't uninstall shared library.

exe: $(DAEMON_EXE)
$(DAEMON_EXE): $(patsubst %.cc,%.$(OBJEXT),$(DAEMON_SOURCE_FILES))
	$(call CxxBuildExecutable,$@,$^ $(ARCHIVES))

lib: $(LIBRARY)
$(LIBRARY): $(patsubst %.cc,%.$(OBJEXT),$(LIBRARY_SOURCE_FILES))
	$(call CxxBuildShared,$@,$^ $(ARCHIVES),,$(LIBRARY_SONAME))

clean:
	$(RM) $(DAEMON_EXE) $(LITE_EXE) $(LIBRARY) *.$(OBJEXT)

##
## A slim version of the daemon that uses the shared library. (Only on Unix).
LITE_EXE          := oelite$(EXEEXT)
LITE_SOURCE_FILES := getopt.cc omniEvents.cc naming.cc main.cc daemon_unix.cc
LITE_OBJECTS      := $(patsubst %.cc,%.$(OBJEXT),$(LITE_SOURCE_FILES))
$(LITE_EXE): $(LITE_OBJECTS) lib
	$(call CxxBuildExecutable,$@,$(LITE_OBJECTS) -L. -l$(OMNIEVENTS))

include deps.mk

.PHONY: all install install_dirs uninstall exe lib clean

=== examples/java/Makefile ===
#                            Package   : omniEvents
# examples/java/Makefile     Created   : 2004/03/12
#                            Author    : Alex Tingle
#
#    Copyright (C) 2004 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SOURCE_FILES := \
 Eventc.java \
 PushCons.java \
 PushSupp.java \

include ../../config.mk

TARGETS := $(patsubst %.java,%.class,$(SOURCE_FILES))

IDL_FILES := \
 EventChannelAdmin.idl \

IDL_COS_FILES := \
 CosLifeCycle.idl \
 CosEventComm.idl \
 CosEventChannelAdmin.idl \
 
IDL_COS_TARGETS := $(patsubst %.idl,org/omg/%,$(IDL_COS_FILES))
IDL_TARGETS     := $(patsubst %.idl,net/sourceforge/omniorb/%,$(IDL_FILES))

IDLJ := idlj -fclient -fserver -i $(IDL_COS_DIR)/COS

all: $(TARGETS)

$(TARGETS): %.class: %.java compile_idl_files
	javac $<

compile_idl_files: $(IDL_COS_TARGETS) $(IDL_TARGETS)

$(IDL_COS_TARGETS): org/omg/%: $(IDL_COS_DIR)/COS/%.idl
	$(IDLJ) $^

$(IDL_TARGETS): net/sourceforge/omniorb/%: $(OMNIEVENTS_BASE)/idl/%.idl
	$(IDLJ) $^

clean:
	$(RMDIR) org
	$(RMDIR) net
	$(RM) *.class

.PHONY: all compile_idl_files clean

## omnievents 2.6.2

=== Makefile ===
#                            Package   : omniEvents
# Makefile                   Created   : 2003/10/31
#                            Author    : Alex Tingle
#
#    Copyright (C) 2003 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

all:
	$(MAKE) -C idl $@
	$(MAKE) -C src $@
	$(MAKE) -C tools $@
	$(MAKE) -C examples $@

install:
	$(MAKE) -C idl $@
	$(MAKE) -C src $@
	$(MAKE) -C tools $@
	$(MAKE) -C contrib $@

uninstall:
	$(MAKE) -C idl $@
	$(MAKE) -C src $@
	$(MAKE) -C tools $@
	$(MAKE) -C contrib $@

clean:
	$(MAKE) -C idl $@
	$(MAKE) -C src $@
	$(MAKE) -C tools $@
	$(MAKE) -C examples $@

.PHONY: all install uninstall clean

=== contrib/Makefile ===
#                            Package   : omniEvents
# src/Makefile               Created   : 2004/11/15
#                            Author    : Alex Tingle
#
#    Copyright (C) 2004 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include ../config.mk

INSTALL_PKGCONFIG := $(INSTALL_LIB)/pkgconfig
OMNIEVENTS_PC     := $(OMNIEVENTS).pc

all:

install:
	$(INSTALL) -d $(INSTALL_PKGCONFIG)
	$(INSTALL) $(OMNIEVENTS_PC) $(INSTALL_PKGCONFIG)

uninstall:
	$(RM) $(INSTALL_PKGCONFIG)/$(OMNIEVENTS_PC)

clean:

.PHONY: all install uninstall clean

=== etc/Makefile ===
#                            Package   : omniEvents
# etc/Makefile               Created   : 2004/3/31
#                            Author    : Alex Tingle
#
#    Copyright (C) 2004 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include ../config.mk

# The init script is installed in /etc/init.d or /sbin/init.d, so long as that
# directory ALREADY EXISTS.
# Exception: If DESTDIR is set, then always install.
ifndef DESTDIR
INSTALLCHECK  := installcheck
endif

# The config file is installed in /etc/default or /etc/sysconfig. An existing
# config file is never overwritten or uninstalled.

SERVICE_NAME  := omniorb-eventservice

all:

installcheck:
	test -d $(INSTALL_ETC)/init.d || \
	  ( echo "No such directory: $(INSTALL_ETC)/init.d" ; exit 1 )

install: $(INSTALLCHECK)
	$(INSTALL) -d $(INSTALL_ETC)/init.d
	$(INSTALL) -d $(SYSCONFIG_DIR)
	$(INSTALL) -m 744 init.d/$(SERVICE_NAME) $(INSTALL_ETC)/init.d
	test -f $(SYSCONFIG_DIR)/$(SERVICE_NAME) || \
	  $(INSTALL) -m 644 default/$(SERVICE_NAME) $(SYSCONFIG_DIR)

uninstall:
	# Don't uninstall config file.
	$(RM) $(INSTALL_ETC)/init.d/$(SERVICE_NAME)

clean:

.PHONY: all installcheck install uninstall clean

=== examples/Makefile ===
--- 
+++ 
@@ -38,7 +38,23 @@
 	$(call CxxBuildExecutable,$@,$^ $(ARCHIVES))
 
 clean:
-	$(RM) $(EXE_FILES) *.$(OBJEXT)
+	$(RM) $(EXE_FILES) *.$(OBJEXT) channel
+
+
+## ----------------------------------------------------------------------------
+## This rule builds the 'channel' example, which shows how to use libomniEvents.
+##
+## It can only be built once libomniEvents has been installed (`make install').
+## See the installation instructions in the documentation (or README) for
+## how to install libomniEvents.
+##
+## Once libomniEvents is installed, type `make channel' in this directory
+## to build this example program.
+##
+channel$(EXEEXT): channel.$(OBJEXT)
+	$(call CxxBuildExecutable,$@,$^ -lomniEvents)
+##
+## ----------------------------------------------------------------------------
 
 include deps.mk

=== idl/Makefile ===
#                            Package   : omniEvents
# idl/Makefile               Created   : 2003/10/31
#                            Author    : Alex Tingle
#
#    Copyright (C) 2003 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

IDL_FILES := \
 FT.idl \
 omniEvents.idl \
 EventChannelAdmin.idl \

IDL_FILES_COS := \
 CosLifeCycle.idl \
 CosEventComm.idl \
 CosEventChannelAdmin.idl \
 CosTypedEventComm.idl \
 CosTypedEventChannelAdmin.idl \

include ../config.mk

HH_FILES     := $(patsubst %.idl,%.hh,$(IDL_FILES))
HH_FILES_COS := $(patsubst %.idl,%.hh,$(IDL_FILES_COS))

CC_FILES     := $(patsubst %.hh,%.cc,$(HH_FILES))
CC_FILES_COS := $(patsubst %.hh,%.cc,$(HH_FILES_COS))

SOURCE_FILES := \
 $(patsubst %.hh,%.cc,     $(HH_FILES) $(HH_FILES_COS)) \
 $(patsubst %.hh,%DynSK.cc,$(HH_FILES) $(HH_FILES_COS))
OBJECT_FILES := $(patsubst %.cc,%.$(OBJEXT),$(SOURCE_FILES))

INSTALLED_IDL_FILES := \
  $(patsubst %,$(INSTALL_IDL)/$(OMNIEVENTS)/%,$(IDL_FILES))
INSTALLED_HH_FILES := \
  $(patsubst %,$(INSTALL_INCLUDE)/$(OMNIEVENTS)/%,\
    $(HH_FILES) $(HH_FILES_COS) COS_sysdep.h)

# The IDL compiler doesn't use config.h, so we have to give it some
# defines on the command line.
CXXFLAGS += -I. $(EXTRA_IDL_CXXFLAGS)

all: compile_idl_files $(CLIENT_LIB)

install: all install_dirs $(INSTALLED_HH_FILES) $(INSTALLED_IDL_FILES)
	$(INSTALL) $(CLIENT_LIB) $(INSTALL_LIB)

# NOte: Install .hh files in $(INSTALL_INCLUDE) - for backward compatibility:
$(INSTALLED_HH_FILES): $(INSTALL_INCLUDE)/$(OMNIEVENTS)/%: % install_dirs
	$(INSTALL) -m 644 $< $(INSTALL_INCLUDE)/$(OMNIEVENTS)
	$(INSTALL) -m 644 $< $(INSTALL_INCLUDE) # Deprecated header

$(INSTALLED_IDL_FILES): $(INSTALL_IDL)/$(OMNIEVENTS)/%: % install_dirs
	$(INSTALL) -m 644 $< $(INSTALL_IDL)/$(OMNIEVENTS)

install_dirs:
	$(INSTALL) -d $(INSTALL_LIB)
	$(INSTALL) -d $(INSTALL_INCLUDE)/$(OMNIEVENTS)
	$(INSTALL) -d $(INSTALL_IDL)/$(OMNIEVENTS)

uninstall:
	$(RM) $(INSTALL_LIB)/$(CLIENT_LIB)
	$(RMDIR) $(INSTALL_INCLUDE)/$(OMNIEVENTS)
	$(RMDIR) $(INSTALL_IDL)/$(OMNIEVENTS)
	# Uninstall backward compatibility .hh files:
	$(RM) $(patsubst %,$(INSTALL_INCLUDE)/%,$(HH_FILES))
	$(RM) $(patsubst %,$(INSTALL_INCLUDE)/%,$(HH_FILES_COS) COS_sysdep.h)

$(CLIENT_LIB): $(OBJECT_FILES)
	$(call CxxBuildStatic,$@,$^)

$(CC_FILES_COS):
	$(IDL) $(IDLFLAGS) $(patsubst %.cc,$(IDL_COS_DIR)/COS/%.idl,$@)

compile_idl_files: $(CC_FILES_COS) $(CC_FILES)

clean:
	$(RM) *.cc *.hh $(OBJECT_FILES) $(CLIENT_LIB)

include deps.mk

.PHONY: all install install_dirs uninstall compile_idl_files clean

=== src/Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
  Servant.cc \
  SupplierAdmin.cc \
  omniEventsLog.cc \
+ version.cc \
 
 DAEMON_SOURCE_FILES := \
  $(LIBRARY_SOURCE_FILES) \

=== test/Makefile ===
#                            Package   : omniEvents
# test/Makefile              Created   : 2003/12/17
#                            Author    : Alex Tingle
#
#    Copyright (C) 2003 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include ../config.mk

# Set this line if your omniidl complains about...
# "omniidl: Could not import back-end 'python'"
#BACKEND = -pC:\Progra~1\omniORBpy-2.5\lib\python

OMNIEVENTS_BASE=..

IDL_FILES = \
 $(OMNIEVENTS_BASE)/idl/EventChannelAdmin.idl \

IDL_COS_FILES = \
 CosLifeCycle.idl \
 CosEventComm.idl \
 CosEventChannelAdmin.idl \
 CosTypedEventComm.idl \
 CosTypedEventChannelAdmin.idl \

all: compile_idl_files

compile_idl_files:
	$(IDL) -bpython $(BACKEND) -I$(IDL_COS_DIR)/COS $(patsubst %,$(IDL_COS_DIR)/COS/%,$(IDL_COS_FILES))
	$(IDL) -bpython $(BACKEND) -I$(IDL_COS_DIR)/COS $(IDL_FILES)

install:

clean:
	$(RMDIR) EventChannelAdmin* Cos* *.pyc

.PHONY: all compile_idl_files install clean

=== tools/Makefile ===
#                            Package   : omniEvents
# tools/Makefile             Created   : 2004-05-30
#                            Author    : Alex Tingle
#
#    Copyright (C) 2004 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include ../config.mk

SOURCE_FILES = \
 eventc.cc \
 eventf.cc \
 rmeventc.cc \

ifeq ($(CORBA_ORB),omniORB4)
  SOURCE_FILES += events.cc
endif

EXE_FILES = $(patsubst %.cc,%$(EXEEXT),$(SOURCE_FILES))
ARCHIVES  = ../src/naming.$(OBJEXT) ../src/getopt.$(OBJEXT) ../idl/$(CLIENT_LIB)

all: $(EXE_FILES)

install: $(EXE_FILES)
	$(INSTALL) -d $(INSTALL_BIN)
	$(INSTALL) eventc$(EXEEXT)   $(INSTALL_BIN)
	$(INSTALL) eventf$(EXEEXT)   $(INSTALL_BIN)
	$(INSTALL) events$(EXEEXT)   $(INSTALL_BIN)
	$(INSTALL) rmeventc$(EXEEXT) $(INSTALL_BIN)

uninstall:
	$(RM) $(patsubst %,$(INSTALL_BIN)/%,$(EXE_FILES))

%$(EXEEXT): %.$(OBJEXT)
	$(call CxxBuildExecutable,$@,$^ $(ARCHIVES))

clean:
	$(RM) $(EXE_FILES) *.$(OBJEXT)

include deps.mk

.PHONY: all install uninstall clean

=== examples/python/Makefile ===
#                            Package   : omniEvents
# examples/python/Makefile   Created   : 2003/11/16
#                            Author    : Alex Tingle
#
#    Copyright (C) 2003 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include ../../config.mk

# Set this line if your omniidl complains about...
# "omniidl: Could not import back-end 'python'"
#BACKEND = -pL:\win32\src\omniORBpy-2.2\lib\python

OMNIEVENTS_BASE=../..

IDL_FILES = \
 $(OMNIEVENTS_BASE)/idl/EventChannelAdmin.idl \

IDL_COS_FILES = \
 CosLifeCycle.idl \
 CosEventComm.idl \
 CosEventChannelAdmin.idl \
 CosTypedEventComm.idl \
 CosTypedEventChannelAdmin.idl \

all: compile_idl_files

compile_idl_files:
	$(IDL) -bpython $(BACKEND) -I$(IDL_COS_DIR)/COS $(patsubst %,$(IDL_COS_DIR)/COS/%,$(IDL_COS_FILES))
	$(IDL) -bpython $(BACKEND) -I$(IDL_COS_DIR)/COS $(IDL_FILES)

install:

clean:
	$(RMDIR) EventChannelAdmin* Cos* *.pyc

.PHONY: all compile_idl_files install clean

=== debian/changelog ===
omnievents (1:2.6.2-6.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:20:59 +0000

omnievents (1:2.6.2-6.1build1) noble; urgency=high

  * No change rebuild against libomniorb4-3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:46:55 +0100

omnievents (1:2.6.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062822

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 02:19:12 +0000

omnievents (1:2.6.2-6) unstable; urgency=medium

  * QA upload.

  [ Guilherme de Paula Xavier Segundo ]
  * Bumped debhelper compat to 10. (Closes: #965754)
  * debian/clean: created to remove some files forgotten by build system.
  * debian/control:
      - Added 'libjs-jquery' to 'Depends' field in omnievents-doc binary.
       (Closes: #989339)
      - Added 'lsb-base' to 'Depends' field in omnievents binary.
      - Ran wrap-and-sort.
  * debian/salsa-ci.yml: created to provide CI tests for Salsa.
  * debian/source/lintian-overrides: created to override lintian errors in the
    upstream code.
  * debian/source/options: added to allow the 'config.mk' and 'src/config.h'
    changes in upstream place.

  [ Debian Janitor ]
  * debian/upstream/metadata: set upstream metadata fields: Bug-Submit.

  [ Ondřej Nový ]
  * debian/changelog: removed trailing whitespaces.
  * debian/control: set Vcs-* to salsa.debian.org.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 17 Nov 2022 08:01:16 -0300

omnievents (1:2.6.2-5.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 11:59:32 +0100

omnievents (1:2.6.2-5) unstable; urgency=low

  * Removed -dbg package.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 23 Jul 2016 20:11:08 +0000

omnievents (1:2.6.2-4) unstable; urgency=low

  * Moved stuff into git, because the SVN archive was broken.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 23 Jul 2016 07:45:51 +0000

omnievents (1:2.6.2-3) unstable; urgency=low

  * QA upload,removed Thomas and myself from Uploaders, see #828919
  * Cleaned up existing Debian patches, which somehow (Closes: #824734)
  * Bump Standards-Version: to 3.9.8.
  * Added dep/build-dep on jquery.js for -doc

 -- W. Martin Borgert <debacle@debian.org>  Fri, 22 Jul 2016 20:46:34 +0000

omnievents (1:2.6.2-2) unstable; urgency=low

  [ Floris Bruynooghe ]
  * Build-depend on new omniorb packages.

  [ Thomas Girard ]
  * Add watch file.
  * Fix typo in omnievents package description. Thanks to Pascal De Vuyst
    for the report. Closes: #557829.
  * Acknowledge NMU patch for #541249. Thanks to Petter Reinholdtsen for the
    patch. Closes: #547545.
  * Acknowledge NMU patch for #504864. Thanks, David Paleino!
  * Bump Standards-Version: to 3.8.3.
  * Switch debhelper level to 7.
  * Add ${misc:Depends} where appropriate.
  * Bump Standards-Version: to 3.9.2.
  * Integrate patch from Ubuntu, thanks Stefan Wehner. Addresses: LP#705020.
  * Drop obsolete Conflicts:/Replaces:

 -- Thomas Girard <thomas.g.girard@free.fr>  Mon, 02 May 2011 23:37:51 +0200

omnievents (1:2.6.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4, added missing #includes, thanks to Martin
    Michlmayr (Closes: #504864)

 -- David Paleino <dapal@debian.org>  Mon, 21 Dec 2009 17:05:30 +0100

omnievents (1:2.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Correct init.d script header runlevel list and dependencies.  Add code
    in postinst to recover systems affected by the bug (Closes: #541249).
  * Correct section for libomnievents-dbg to 'debug', based on tip from
    lintian.
  * Add code to clean target of debian/rules to remove generated
    config.log and config.status, based on tip from lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Sep 2009 17:00:14 +0200

omnievents (1:2.6.2-1) unstable; urgency=low

  * Package taken over by the CORBA team.
  * Add myself to the Uploaders: field, and move W. Martin Borgert here.
  * New upstream release; bump the epoch.
  * Rename libomnieventsc2a to libomnievents2, and handle the transition.
  * New package, omnievents-doc, containing manual and doxygen documentation.
  * Bump debhelper level to 5, and adapt dh_strip invocation accordingly.
  * Bump Standards-Version: to 3.7.3.
  * Fix a typo in debian/rules binary-post-install rule.
  * Fix typos on package names in Conflicts: and Replaces: fields.
  * Replace ${Source-Version} with ${binary:Version}.
  * Remove ${shlibs:Depends} and ${misc:Depends} from libomnievents-dev
    dependencies. Add libomnieventsc2a dependency.
  * Build-depend on omniorb4 >= 4.1.1.
  * Rework descriptions.
  * Add autotools-dev build-dependency to have cdbs copy new config.* files.
  * Remove useless libomniEvents.so.2.6 symlink.
  * Change libomnievents-dbg Priority: to extra.
  * Fix FTBFS with g++-4.3. Thanks to Martin Michlmayr for reporting this and
    providing a patch. Closes: #417459.
  * Remove bashism from debian/rules. Closes: #459168. Thanks to Lucas
    Nussbaum for reporting this, and to W. Martin Borgert for providing a fix.
  * Generate doxygen documentation in a different directory and invoke clean:
    target rather than disclean: to fix FTBFS when built twice.
    Closes: #424376. Thanks to Lucas Nussbaum for reporting this.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 13 Jan 2008 12:39:25 +0000

omnievents (2.6.2.pre2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * C++ allocation transition (closes: #339236)

 -- Bastian Blank <waldi@debian.org>  Sat, 31 Dec 2005 12:22:42 +0100

omnievents (2.6.2.pre2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * C++ ABI transition (closes: #332896).



=== debian/control ===
Source: omnievents
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), autotools-dev,
               cdbs,
               debhelper (>= 10~),
               docbook-xsl,
               doxygen,
               graphviz,
               libcos4-dev (>= 4.1.1),
               libjs-jquery,
               libomniorb4-dev (>= 4.1.1),
               omniidl,
               omniorb-idl,
               pkg-config,
               xsltproc
Standards-Version: 3.9.8
Homepage: http://www.omnievents.org
Vcs-Browser: https://salsa.debian.org/debian/omnievents
Vcs-Git: https://salsa.debian.org/debian/omnievents.git

Package: omnievents
Architecture: any
Depends: libjs-jquery,
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: omnievents-doc
Description: omniORB event service
 omniEvents enables CORBA applications to communicate through
 asynchronous broadcast channels rather than direct method calls. It
 is a small, efficient implementation of the Object Management Group's
 Event Service specification designed to work with omniORB.
 .
 This package contains the CORBA Event Service daemon as a standalone
 executable, and the associated tools.

Package: libomnievents2t64
Provides: ${t64:Provides}
Replaces: libomnievents2
Breaks: libomnievents2 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: omniORB event service shared library
 This package contains omniEvents shared library.
 .
 For more information on omniEvents see the omnievents package.

Package: libomnievents-dev
Architecture: any
Section: libdevel
Depends: libomnievents2t64 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkg-config
Suggests: omnievents-doc
Description: omniORB event service development files
 This package contains header files, static library and idl source files
 for omniEvents.
 .
 For more information on omniEvents see the omnievents package.

Package: omnievents-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: omniORB event service documentation
 This package contains omniEvents manual and doxygen generated documentation.
 .
 For more information on omniEvents see the omnievents package.

=== debian/rules ===
#!/usr/bin/make -f

DEB_FIXPERMS_EXCLUDE=omniEvents.pc
DEB_INSTALL_DOCS_omnievents-doc=doc/omnievents.docbook.css doc/*.html dox/doc/doxygen
DEB_INSTALL_MANPAGES_omnievents=doc/man/omniEvents.8 doc/man/*.1
DEB_DH_INSTALLINIT_ARGS="--name=omniorb-eventservice"
DEB_UPDATE_RCD_PARAMS_omnievents="defaults 90 10"
DOCBOOK=/usr/share/xml/docbook/stylesheet/nwalsh

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_MAKE_CLEAN_TARGET = clean

DEB_CONFIGURE_EXTRA_FLAGS := --enable-unloadable-stubs
DEB_DH_MAKESHLIBS_ARGS := -V

build/omnievents-doc::
	mkdir -p $(CURDIR)/dox/doc/doxygen
	$(MAKE) -f meta.mk doc DOCBOOK=$(DOCBOOK)

build/omnievents::
	$(MAKE) -C src oelite
	cp etc/default/omniorb-eventservice \
	    $(CURDIR)/debian/omnievents.omniorb-eventservice.default
	cp etc/init.d/omniorb-eventservice \
	    $(CURDIR)/debian/omnievents.omniorb-eventservice.init

binary-post-install/omnievents::
	cp -f src/oelite $(CURDIR)/debian/omnievents/usr/sbin/omniEvents

binary-post-install/libomnievents2t64::
	cd $(CURDIR)/debian/libomnievents2t64/usr/lib/ && \
	    rm -f libomniEvents.so.2.6 && \
	    ln -sf libomniEvents.so.2.6.2 libomniEvents.so.2

binary-post-install/libomnievents-dev::
	rm -f $(CURDIR)/debian/libomnievents-dev/usr/include/*.h
	rm -f $(CURDIR)/debian/libomnievents-dev/usr/include/*.hh
	chmod 644 $(CURDIR)/debian/libomnievents-dev/usr/lib/pkgconfig/*.pc

clean::
	rm -Rf $(CURDIR)/dox
